<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="VCLib" 
Name="COMMON_GEN_NUMBERS" 
Description="Генерация номеров" 
UnrestrictedAccess="1" 
PrimaryKey="GenNumbersID">
  <Fields>
    <Attribute Name="GenNumbersID" Index="5570001" Type="guid" Description="Идентификатор" />
    <Parent Name="EntityID" Type="VCLib.ENTITIES" Description="Сущность" Required="1" />
    <Attribute Name="NumberName" Index="5570003" Type="string" Description="Наименование группы номеров" CharacterMaximumLength="64" Required="1" />
    <Attribute Name="NextNumber" Index="5570004" Type="bigint" Description="Следующий номер для генерации" Required="1" />
  </Fields>
  <DbMapping>
    <Table name="T_GEN_NUMBERS">
      <Map Name="GenNumbersID" Column="GenNumbersID" />
      <Map Name="EntityID" Column="EntityID" />
      <Map Name="NumberName" Column="NumberName" />
      <Map Name="NextNumber" Column="NextNumber" />
    </Table>
  </DbMapping>
</Entity>